Bug 1480718 - [RFE] During cns-deploy, improve node capacity issue handling
[RFE] During cns-deploy, improve node capacity issue handling
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-deploy-tool (Show other bugs)
cns-3.5
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Adam
Anoop
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 14:44 EDT by Thom Carlin
Modified: 2017-09-28 13:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2017-08-11 14:44:43 EDT
Description of enhancement:

cns-deploy kept failing where not all pods would deploy.  It took quite a bit of research to determine a node was at pod capacity.

It would be useful if cns-deploy better handled this situation, either:
* Provide clear diagnostic message and resolution OR
* Pre-check node's capacity OR
* both

Version-Release number of selected component (if applicable):

3.5

How reproducible:

100% when this situation occurs

Additional info:

Similarly, diagnosing other pod deployment issues (e.g. memory pressure) would improve the UX.
Comment 2 Raghavendra Talur 2017-09-06 08:42:29 EDT
Moving this to cns-deploy-tool as this is clearly a engineering bug.
Also, it is too late in 3.6 release cycle to take it up. We will triage it before next release.
Comment 3 Jose A. Rivera 2017-09-06 09:21:57 EDT
Do you have information on how to discover and judge node capacity? I'm not sure where to start looking otherwise. :)
Comment 4 Thom Carlin 2017-09-11 07:42:15 EDT
One method:
oc describe node <node_name>
<snip>
Conditions:
  Type			Status	LastHeartbeatTime			LastTransitionTime			Reason				Message
  ----			------	-----------------			------------------			------				-------
  OutOfDisk 		False 	Mon, 11 Sep 2017 07:31:52 -0400 	Thu, 07 Sep 2017 15:33:34 -0400 	KubeletHasSufficientDisk 	kubelet has sufficient disk space available
  MemoryPressure 	False 	Mon, 11 Sep 2017 07:31:52 -0400 	Thu, 07 Sep 2017 15:33:34 -0400 	KubeletHasSufficientMemory 	kubelet has sufficient memory available
  DiskPressure 		False 	Mon, 11 Sep 2017 07:31:52 -0400 	Thu, 07 Sep 2017 15:33:34 -0400 	KubeletHasNoDiskPressure 	kubelet has no disk pressure
  Ready 		True 	Mon, 11 Sep 2017 07:31:52 -0400 	Thu, 07 Sep 2017 15:33:34 -0400 	KubeletReady 
<snip>

Note You need to log in before you can comment on or make changes to this bug.